Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network200.0.0.0/5
Usable hosts134,217,726
Subnet mask248.0.0.0
Addresses134,217,728
Network address
200.0.0.0
Broadcast address
207.255.255.255
First usable
200.0.0.1
Last usable
207.255.255.254
Usable hosts
134,217,726 (134,217,728 less the network and broadcast addresses)
Subnet mask
248.0.0.0
Wildcard mask
7.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/5
Type
Public public
Old class
C (default /24)
As numbers
Hex C8000000 · Integer 3355443200 to 3489660927
Reverse DNS zones
200.in-addr.arpa
201.in-addr.arpa
202.in-addr.arpa
203.in-addr.arpa
204.in-addr.arpa
205.in-addr.arpa
206.in-addr.arpa
207.in-addr.arpa
/5 is not on a 8-bit boundary, so it takes 8 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001000.00000000.00000000.00000000200.0.0.0
Subnet mask11111000.00000000.00000000.00000000248.0.0.0
Network11001000.00000000.00000000.00000000200.0.0.0
Broadcast11001111.11111111.11111111.11111111207.255.255.255
Split into smaller subnets/15

200.0.0.0/5 makes 1,024 subnets of /15; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1200.0.0.0/15200.0.0.1 to 200.1.255.254200.1.255.255131,070
2200.2.0.0/15200.2.0.1 to 200.3.255.254200.3.255.255131,070
3200.4.0.0/15200.4.0.1 to 200.5.255.254200.5.255.255131,070
4200.6.0.0/15200.6.0.1 to 200.7.255.254200.7.255.255131,070
5200.8.0.0/15200.8.0.1 to 200.9.255.254200.9.255.255131,070
6200.10.0.0/15200.10.0.1 to 200.11.255.254200.11.255.255131,070
7200.12.0.0/15200.12.0.1 to 200.13.255.254200.13.255.255131,070
8200.14.0.0/15200.14.0.1 to 200.15.255.254200.15.255.255131,070
9200.16.0.0/15200.16.0.1 to 200.17.255.254200.17.255.255131,070
10200.18.0.0/15200.18.0.1 to 200.19.255.254200.19.255.255131,070
11200.20.0.0/15200.20.0.1 to 200.21.255.254200.21.255.255131,070
12200.22.0.0/15200.22.0.1 to 200.23.255.254200.23.255.255131,070
13200.24.0.0/15200.24.0.1 to 200.25.255.254200.25.255.255131,070
14200.26.0.0/15200.26.0.1 to 200.27.255.254200.27.255.255131,070
15200.28.0.0/15200.28.0.1 to 200.29.255.254200.29.255.255131,070
16200.30.0.0/15200.30.0.1 to 200.31.255.254200.31.255.255131,070
17200.32.0.0/15200.32.0.1 to 200.33.255.254200.33.255.255131,070
18200.34.0.0/15200.34.0.1 to 200.35.255.254200.35.255.255131,070
19200.36.0.0/15200.36.0.1 to 200.37.255.254200.37.255.255131,070
20200.38.0.0/15200.38.0.1 to 200.39.255.254200.39.255.255131,070
21200.40.0.0/15200.40.0.1 to 200.41.255.254200.41.255.255131,070
22200.42.0.0/15200.42.0.1 to 200.43.255.254200.43.255.255131,070
23200.44.0.0/15200.44.0.1 to 200.45.255.254200.45.255.255131,070
24200.46.0.0/15200.46.0.1 to 200.47.255.254200.47.255.255131,070
25200.48.0.0/15200.48.0.1 to 200.49.255.254200.49.255.255131,070
26200.50.0.0/15200.50.0.1 to 200.51.255.254200.51.255.255131,070
27200.52.0.0/15200.52.0.1 to 200.53.255.254200.53.255.255131,070
28200.54.0.0/15200.54.0.1 to 200.55.255.254200.55.255.255131,070
29200.56.0.0/15200.56.0.1 to 200.57.255.254200.57.255.255131,070
30200.58.0.0/15200.58.0.1 to 200.59.255.254200.59.255.255131,070
31200.60.0.0/15200.60.0.1 to 200.61.255.254200.61.255.255131,070
32200.62.0.0/15200.62.0.1 to 200.63.255.254200.63.255.255131,070
33200.64.0.0/15200.64.0.1 to 200.65.255.254200.65.255.255131,070
34200.66.0.0/15200.66.0.1 to 200.67.255.254200.67.255.255131,070
35200.68.0.0/15200.68.0.1 to 200.69.255.254200.69.255.255131,070
36200.70.0.0/15200.70.0.1 to 200.71.255.254200.71.255.255131,070
37200.72.0.0/15200.72.0.1 to 200.73.255.254200.73.255.255131,070
38200.74.0.0/15200.74.0.1 to 200.75.255.254200.75.255.255131,070
39200.76.0.0/15200.76.0.1 to 200.77.255.254200.77.255.255131,070
40200.78.0.0/15200.78.0.1 to 200.79.255.254200.79.255.255131,070
41200.80.0.0/15200.80.0.1 to 200.81.255.254200.81.255.255131,070
42200.82.0.0/15200.82.0.1 to 200.83.255.254200.83.255.255131,070
43200.84.0.0/15200.84.0.1 to 200.85.255.254200.85.255.255131,070
44200.86.0.0/15200.86.0.1 to 200.87.255.254200.87.255.255131,070
45200.88.0.0/15200.88.0.1 to 200.89.255.254200.89.255.255131,070
46200.90.0.0/15200.90.0.1 to 200.91.255.254200.91.255.255131,070
47200.92.0.0/15200.92.0.1 to 200.93.255.254200.93.255.255131,070
48200.94.0.0/15200.94.0.1 to 200.95.255.254200.95.255.255131,070
49200.96.0.0/15200.96.0.1 to 200.97.255.254200.97.255.255131,070
50200.98.0.0/15200.98.0.1 to 200.99.255.254200.99.255.255131,070
51200.100.0.0/15200.100.0.1 to 200.101.255.254200.101.255.255131,070
52200.102.0.0/15200.102.0.1 to 200.103.255.254200.103.255.255131,070
53200.104.0.0/15200.104.0.1 to 200.105.255.254200.105.255.255131,070
54200.106.0.0/15200.106.0.1 to 200.107.255.254200.107.255.255131,070
55200.108.0.0/15200.108.0.1 to 200.109.255.254200.109.255.255131,070
56200.110.0.0/15200.110.0.1 to 200.111.255.254200.111.255.255131,070
57200.112.0.0/15200.112.0.1 to 200.113.255.254200.113.255.255131,070
58200.114.0.0/15200.114.0.1 to 200.115.255.254200.115.255.255131,070
59200.116.0.0/15200.116.0.1 to 200.117.255.254200.117.255.255131,070
60200.118.0.0/15200.118.0.1 to 200.119.255.254200.119.255.255131,070
61200.120.0.0/15200.120.0.1 to 200.121.255.254200.121.255.255131,070
62200.122.0.0/15200.122.0.1 to 200.123.255.254200.123.255.255131,070
63200.124.0.0/15200.124.0.1 to 200.125.255.254200.125.255.255131,070
64200.126.0.0/15200.126.0.1 to 200.127.255.254200.127.255.255131,070
65200.128.0.0/15200.128.0.1 to 200.129.255.254200.129.255.255131,070
66200.130.0.0/15200.130.0.1 to 200.131.255.254200.131.255.255131,070
67200.132.0.0/15200.132.0.1 to 200.133.255.254200.133.255.255131,070
68200.134.0.0/15200.134.0.1 to 200.135.255.254200.135.255.255131,070
69200.136.0.0/15200.136.0.1 to 200.137.255.254200.137.255.255131,070
70200.138.0.0/15200.138.0.1 to 200.139.255.254200.139.255.255131,070
71200.140.0.0/15200.140.0.1 to 200.141.255.254200.141.255.255131,070
72200.142.0.0/15200.142.0.1 to 200.143.255.254200.143.255.255131,070
73200.144.0.0/15200.144.0.1 to 200.145.255.254200.145.255.255131,070
74200.146.0.0/15200.146.0.1 to 200.147.255.254200.147.255.255131,070
75200.148.0.0/15200.148.0.1 to 200.149.255.254200.149.255.255131,070
76200.150.0.0/15200.150.0.1 to 200.151.255.254200.151.255.255131,070
77200.152.0.0/15200.152.0.1 to 200.153.255.254200.153.255.255131,070
78200.154.0.0/15200.154.0.1 to 200.155.255.254200.155.255.255131,070
79200.156.0.0/15200.156.0.1 to 200.157.255.254200.157.255.255131,070
80200.158.0.0/15200.158.0.1 to 200.159.255.254200.159.255.255131,070
81200.160.0.0/15200.160.0.1 to 200.161.255.254200.161.255.255131,070
82200.162.0.0/15200.162.0.1 to 200.163.255.254200.163.255.255131,070
83200.164.0.0/15200.164.0.1 to 200.165.255.254200.165.255.255131,070
84200.166.0.0/15200.166.0.1 to 200.167.255.254200.167.255.255131,070
85200.168.0.0/15200.168.0.1 to 200.169.255.254200.169.255.255131,070
86200.170.0.0/15200.170.0.1 to 200.171.255.254200.171.255.255131,070
87200.172.0.0/15200.172.0.1 to 200.173.255.254200.173.255.255131,070
88200.174.0.0/15200.174.0.1 to 200.175.255.254200.175.255.255131,070
89200.176.0.0/15200.176.0.1 to 200.177.255.254200.177.255.255131,070
90200.178.0.0/15200.178.0.1 to 200.179.255.254200.179.255.255131,070
91200.180.0.0/15200.180.0.1 to 200.181.255.254200.181.255.255131,070
92200.182.0.0/15200.182.0.1 to 200.183.255.254200.183.255.255131,070
93200.184.0.0/15200.184.0.1 to 200.185.255.254200.185.255.255131,070
94200.186.0.0/15200.186.0.1 to 200.187.255.254200.187.255.255131,070
95200.188.0.0/15200.188.0.1 to 200.189.255.254200.189.255.255131,070
96200.190.0.0/15200.190.0.1 to 200.191.255.254200.191.255.255131,070
97200.192.0.0/15200.192.0.1 to 200.193.255.254200.193.255.255131,070
98200.194.0.0/15200.194.0.1 to 200.195.255.254200.195.255.255131,070
99200.196.0.0/15200.196.0.1 to 200.197.255.254200.197.255.255131,070
100200.198.0.0/15200.198.0.1 to 200.199.255.254200.199.255.255131,070
101200.200.0.0/15200.200.0.1 to 200.201.255.254200.201.255.255131,070
102200.202.0.0/15200.202.0.1 to 200.203.255.254200.203.255.255131,070
103200.204.0.0/15200.204.0.1 to 200.205.255.254200.205.255.255131,070
104200.206.0.0/15200.206.0.1 to 200.207.255.254200.207.255.255131,070
105200.208.0.0/15200.208.0.1 to 200.209.255.254200.209.255.255131,070
106200.210.0.0/15200.210.0.1 to 200.211.255.254200.211.255.255131,070
107200.212.0.0/15200.212.0.1 to 200.213.255.254200.213.255.255131,070
108200.214.0.0/15200.214.0.1 to 200.215.255.254200.215.255.255131,070
109200.216.0.0/15200.216.0.1 to 200.217.255.254200.217.255.255131,070
110200.218.0.0/15200.218.0.1 to 200.219.255.254200.219.255.255131,070
111200.220.0.0/15200.220.0.1 to 200.221.255.254200.221.255.255131,070
112200.222.0.0/15200.222.0.1 to 200.223.255.254200.223.255.255131,070
113200.224.0.0/15200.224.0.1 to 200.225.255.254200.225.255.255131,070
114200.226.0.0/15200.226.0.1 to 200.227.255.254200.227.255.255131,070
115200.228.0.0/15200.228.0.1 to 200.229.255.254200.229.255.255131,070
116200.230.0.0/15200.230.0.1 to 200.231.255.254200.231.255.255131,070
117200.232.0.0/15200.232.0.1 to 200.233.255.254200.233.255.255131,070
118200.234.0.0/15200.234.0.1 to 200.235.255.254200.235.255.255131,070
119200.236.0.0/15200.236.0.1 to 200.237.255.254200.237.255.255131,070
120200.238.0.0/15200.238.0.1 to 200.239.255.254200.239.255.255131,070
121200.240.0.0/15200.240.0.1 to 200.241.255.254200.241.255.255131,070
122200.242.0.0/15200.242.0.1 to 200.243.255.254200.243.255.255131,070
123200.244.0.0/15200.244.0.1 to 200.245.255.254200.245.255.255131,070
124200.246.0.0/15200.246.0.1 to 200.247.255.254200.247.255.255131,070
125200.248.0.0/15200.248.0.1 to 200.249.255.254200.249.255.255131,070
126200.250.0.0/15200.250.0.1 to 200.251.255.254200.251.255.255131,070
127200.252.0.0/15200.252.0.1 to 200.253.255.254200.253.255.255131,070
128200.254.0.0/15200.254.0.1 to 200.255.255.254200.255.255.255131,070
129201.0.0.0/15201.0.0.1 to 201.1.255.254201.1.255.255131,070
130201.2.0.0/15201.2.0.1 to 201.3.255.254201.3.255.255131,070
131201.4.0.0/15201.4.0.1 to 201.5.255.254201.5.255.255131,070
132201.6.0.0/15201.6.0.1 to 201.7.255.254201.7.255.255131,070
133201.8.0.0/15201.8.0.1 to 201.9.255.254201.9.255.255131,070
134201.10.0.0/15201.10.0.1 to 201.11.255.254201.11.255.255131,070
135201.12.0.0/15201.12.0.1 to 201.13.255.254201.13.255.255131,070
136201.14.0.0/15201.14.0.1 to 201.15.255.254201.15.255.255131,070
137201.16.0.0/15201.16.0.1 to 201.17.255.254201.17.255.255131,070
138201.18.0.0/15201.18.0.1 to 201.19.255.254201.19.255.255131,070
139201.20.0.0/15201.20.0.1 to 201.21.255.254201.21.255.255131,070
140201.22.0.0/15201.22.0.1 to 201.23.255.254201.23.255.255131,070
141201.24.0.0/15201.24.0.1 to 201.25.255.254201.25.255.255131,070
142201.26.0.0/15201.26.0.1 to 201.27.255.254201.27.255.255131,070
143201.28.0.0/15201.28.0.1 to 201.29.255.254201.29.255.255131,070
144201.30.0.0/15201.30.0.1 to 201.31.255.254201.31.255.255131,070
145201.32.0.0/15201.32.0.1 to 201.33.255.254201.33.255.255131,070
146201.34.0.0/15201.34.0.1 to 201.35.255.254201.35.255.255131,070
147201.36.0.0/15201.36.0.1 to 201.37.255.254201.37.255.255131,070
148201.38.0.0/15201.38.0.1 to 201.39.255.254201.39.255.255131,070
149201.40.0.0/15201.40.0.1 to 201.41.255.254201.41.255.255131,070
150201.42.0.0/15201.42.0.1 to 201.43.255.254201.43.255.255131,070
151201.44.0.0/15201.44.0.1 to 201.45.255.254201.45.255.255131,070
152201.46.0.0/15201.46.0.1 to 201.47.255.254201.47.255.255131,070
153201.48.0.0/15201.48.0.1 to 201.49.255.254201.49.255.255131,070
154201.50.0.0/15201.50.0.1 to 201.51.255.254201.51.255.255131,070
155201.52.0.0/15201.52.0.1 to 201.53.255.254201.53.255.255131,070
156201.54.0.0/15201.54.0.1 to 201.55.255.254201.55.255.255131,070
157201.56.0.0/15201.56.0.1 to 201.57.255.254201.57.255.255131,070
158201.58.0.0/15201.58.0.1 to 201.59.255.254201.59.255.255131,070
159201.60.0.0/15201.60.0.1 to 201.61.255.254201.61.255.255131,070
160201.62.0.0/15201.62.0.1 to 201.63.255.254201.63.255.255131,070
161201.64.0.0/15201.64.0.1 to 201.65.255.254201.65.255.255131,070
162201.66.0.0/15201.66.0.1 to 201.67.255.254201.67.255.255131,070
163201.68.0.0/15201.68.0.1 to 201.69.255.254201.69.255.255131,070
164201.70.0.0/15201.70.0.1 to 201.71.255.254201.71.255.255131,070
165201.72.0.0/15201.72.0.1 to 201.73.255.254201.73.255.255131,070
166201.74.0.0/15201.74.0.1 to 201.75.255.254201.75.255.255131,070
167201.76.0.0/15201.76.0.1 to 201.77.255.254201.77.255.255131,070
168201.78.0.0/15201.78.0.1 to 201.79.255.254201.79.255.255131,070
169201.80.0.0/15201.80.0.1 to 201.81.255.254201.81.255.255131,070
170201.82.0.0/15201.82.0.1 to 201.83.255.254201.83.255.255131,070
171201.84.0.0/15201.84.0.1 to 201.85.255.254201.85.255.255131,070
172201.86.0.0/15201.86.0.1 to 201.87.255.254201.87.255.255131,070
173201.88.0.0/15201.88.0.1 to 201.89.255.254201.89.255.255131,070
174201.90.0.0/15201.90.0.1 to 201.91.255.254201.91.255.255131,070
175201.92.0.0/15201.92.0.1 to 201.93.255.254201.93.255.255131,070
176201.94.0.0/15201.94.0.1 to 201.95.255.254201.95.255.255131,070
177201.96.0.0/15201.96.0.1 to 201.97.255.254201.97.255.255131,070
178201.98.0.0/15201.98.0.1 to 201.99.255.254201.99.255.255131,070
179201.100.0.0/15201.100.0.1 to 201.101.255.254201.101.255.255131,070
180201.102.0.0/15201.102.0.1 to 201.103.255.254201.103.255.255131,070
181201.104.0.0/15201.104.0.1 to 201.105.255.254201.105.255.255131,070
182201.106.0.0/15201.106.0.1 to 201.107.255.254201.107.255.255131,070
183201.108.0.0/15201.108.0.1 to 201.109.255.254201.109.255.255131,070
184201.110.0.0/15201.110.0.1 to 201.111.255.254201.111.255.255131,070
185201.112.0.0/15201.112.0.1 to 201.113.255.254201.113.255.255131,070
186201.114.0.0/15201.114.0.1 to 201.115.255.254201.115.255.255131,070
187201.116.0.0/15201.116.0.1 to 201.117.255.254201.117.255.255131,070
188201.118.0.0/15201.118.0.1 to 201.119.255.254201.119.255.255131,070
189201.120.0.0/15201.120.0.1 to 201.121.255.254201.121.255.255131,070
190201.122.0.0/15201.122.0.1 to 201.123.255.254201.123.255.255131,070
191201.124.0.0/15201.124.0.1 to 201.125.255.254201.125.255.255131,070
192201.126.0.0/15201.126.0.1 to 201.127.255.254201.127.255.255131,070
193201.128.0.0/15201.128.0.1 to 201.129.255.254201.129.255.255131,070
194201.130.0.0/15201.130.0.1 to 201.131.255.254201.131.255.255131,070
195201.132.0.0/15201.132.0.1 to 201.133.255.254201.133.255.255131,070
196201.134.0.0/15201.134.0.1 to 201.135.255.254201.135.255.255131,070
197201.136.0.0/15201.136.0.1 to 201.137.255.254201.137.255.255131,070
198201.138.0.0/15201.138.0.1 to 201.139.255.254201.139.255.255131,070
199201.140.0.0/15201.140.0.1 to 201.141.255.254201.141.255.255131,070
200201.142.0.0/15201.142.0.1 to 201.143.255.254201.143.255.255131,070
201201.144.0.0/15201.144.0.1 to 201.145.255.254201.145.255.255131,070
202201.146.0.0/15201.146.0.1 to 201.147.255.254201.147.255.255131,070
203201.148.0.0/15201.148.0.1 to 201.149.255.254201.149.255.255131,070
204201.150.0.0/15201.150.0.1 to 201.151.255.254201.151.255.255131,070
205201.152.0.0/15201.152.0.1 to 201.153.255.254201.153.255.255131,070
206201.154.0.0/15201.154.0.1 to 201.155.255.254201.155.255.255131,070
207201.156.0.0/15201.156.0.1 to 201.157.255.254201.157.255.255131,070
208201.158.0.0/15201.158.0.1 to 201.159.255.254201.159.255.255131,070
209201.160.0.0/15201.160.0.1 to 201.161.255.254201.161.255.255131,070
210201.162.0.0/15201.162.0.1 to 201.163.255.254201.163.255.255131,070
211201.164.0.0/15201.164.0.1 to 201.165.255.254201.165.255.255131,070
212201.166.0.0/15201.166.0.1 to 201.167.255.254201.167.255.255131,070
213201.168.0.0/15201.168.0.1 to 201.169.255.254201.169.255.255131,070
214201.170.0.0/15201.170.0.1 to 201.171.255.254201.171.255.255131,070
215201.172.0.0/15201.172.0.1 to 201.173.255.254201.173.255.255131,070
216201.174.0.0/15201.174.0.1 to 201.175.255.254201.175.255.255131,070
217201.176.0.0/15201.176.0.1 to 201.177.255.254201.177.255.255131,070
218201.178.0.0/15201.178.0.1 to 201.179.255.254201.179.255.255131,070
219201.180.0.0/15201.180.0.1 to 201.181.255.254201.181.255.255131,070
220201.182.0.0/15201.182.0.1 to 201.183.255.254201.183.255.255131,070
221201.184.0.0/15201.184.0.1 to 201.185.255.254201.185.255.255131,070
222201.186.0.0/15201.186.0.1 to 201.187.255.254201.187.255.255131,070
223201.188.0.0/15201.188.0.1 to 201.189.255.254201.189.255.255131,070
224201.190.0.0/15201.190.0.1 to 201.191.255.254201.191.255.255131,070
225201.192.0.0/15201.192.0.1 to 201.193.255.254201.193.255.255131,070
226201.194.0.0/15201.194.0.1 to 201.195.255.254201.195.255.255131,070
227201.196.0.0/15201.196.0.1 to 201.197.255.254201.197.255.255131,070
228201.198.0.0/15201.198.0.1 to 201.199.255.254201.199.255.255131,070
229201.200.0.0/15201.200.0.1 to 201.201.255.254201.201.255.255131,070
230201.202.0.0/15201.202.0.1 to 201.203.255.254201.203.255.255131,070
231201.204.0.0/15201.204.0.1 to 201.205.255.254201.205.255.255131,070
232201.206.0.0/15201.206.0.1 to 201.207.255.254201.207.255.255131,070
233201.208.0.0/15201.208.0.1 to 201.209.255.254201.209.255.255131,070
234201.210.0.0/15201.210.0.1 to 201.211.255.254201.211.255.255131,070
235201.212.0.0/15201.212.0.1 to 201.213.255.254201.213.255.255131,070
236201.214.0.0/15201.214.0.1 to 201.215.255.254201.215.255.255131,070
237201.216.0.0/15201.216.0.1 to 201.217.255.254201.217.255.255131,070
238201.218.0.0/15201.218.0.1 to 201.219.255.254201.219.255.255131,070
239201.220.0.0/15201.220.0.1 to 201.221.255.254201.221.255.255131,070
240201.222.0.0/15201.222.0.1 to 201.223.255.254201.223.255.255131,070
241201.224.0.0/15201.224.0.1 to 201.225.255.254201.225.255.255131,070
242201.226.0.0/15201.226.0.1 to 201.227.255.254201.227.255.255131,070
243201.228.0.0/15201.228.0.1 to 201.229.255.254201.229.255.255131,070
244201.230.0.0/15201.230.0.1 to 201.231.255.254201.231.255.255131,070
245201.232.0.0/15201.232.0.1 to 201.233.255.254201.233.255.255131,070
246201.234.0.0/15201.234.0.1 to 201.235.255.254201.235.255.255131,070
247201.236.0.0/15201.236.0.1 to 201.237.255.254201.237.255.255131,070
248201.238.0.0/15201.238.0.1 to 201.239.255.254201.239.255.255131,070
249201.240.0.0/15201.240.0.1 to 201.241.255.254201.241.255.255131,070
250201.242.0.0/15201.242.0.1 to 201.243.255.254201.243.255.255131,070
251201.244.0.0/15201.244.0.1 to 201.245.255.254201.245.255.255131,070
252201.246.0.0/15201.246.0.1 to 201.247.255.254201.247.255.255131,070
253201.248.0.0/15201.248.0.1 to 201.249.255.254201.249.255.255131,070
254201.250.0.0/15201.250.0.1 to 201.251.255.254201.251.255.255131,070
255201.252.0.0/15201.252.0.1 to 201.253.255.254201.253.255.255131,070
256201.254.0.0/15201.254.0.1 to 201.255.255.254201.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses